org.jboss.resteasy.skeleton.key.config

## Class ManagedResourceConfig

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.config.ManagedResourceConfig

-     public class ManagedResourceConfig
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `adminRole`
    `protected boolean` | `allowAnyHostname`
    `protected String` | `authUrl`
    `protected boolean` | `cancelPropagation`
    `protected Map<String,String>` | `clientCredentials`
    `protected String` | `clientId`
    `protected String` | `clientKeyPassword`
    `protected String` | `clientKeystore`
    `protected String` | `clientKeystorePassword`
    `protected String` | `codeUrl`
    `protected int` | `connectionPoolSize`
    `protected String` | `realm`
    `protected String` | `realmKey`
    `protected String` | `resource`
    `protected String` | `truststore`
    `protected String` | `truststorePassword`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedResourceConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdminRole()`
    `String` | `getAuthUrl()`
    `Map<String,String>` | `getClientCredentials()`
    `String` | `getClientId()`
    `String` | `getClientKeyPassword()`
    `String` | `getClientKeystore()`
    `String` | `getClientKeystorePassword()`
    `String` | `getCodeUrl()`
    `int` | `getConnectionPoolSize()`
    `String` | `getRealm()`
    `String` | `getRealmKey()`
    `String` | `getResource()`
    `String` | `getTruststore()`
    `String` | `getTruststorePassword()`
    `boolean` | `isAllowAnyHostname()`
    `boolean` | `isCancelPropagation()`
    `void` | `setAdminRole(String adminRole)`
    `void` | `setAllowAnyHostname(boolean allowAnyHostname)`
    `void` | `setAuthUrl(String authUrl)`
    `void` | `setCancelPropagation(boolean cancelPropagation)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientKeyPassword(String clientKeyPassword)`
    `void` | `setClientKeystore(String clientKeystore)`
    `void` | `setClientKeystorePassword(String clientKeystorePassword)`
    `void` | `setCodeUrl(String codeUrl)`
    `void` | `setConnectionPoolSize(int connectionPoolSize)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmKey(String realmKey)`
    `void` | `setResource(String resource)`
    `void` | `setTruststore(String truststore)`
    `void` | `setTruststorePassword(String truststorePassword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected String realm

    - #### resource

          protected String resource

    - #### realmKey

          protected String realmKey

    - #### adminRole

          protected String adminRole

    - #### authUrl

          protected String authUrl

    - #### codeUrl

          protected String codeUrl

    - #### allowAnyHostname

          protected boolean allowAnyHostname

    - #### truststore

          protected String truststore

    - #### truststorePassword

          protected String truststorePassword

    - #### clientId

          protected String clientId

    - #### clientKeystore

          protected String clientKeystore

    - #### clientKeystorePassword

          protected String clientKeystorePassword

    - #### clientKeyPassword

          protected String clientKeyPassword

    - #### clientCredentials

          protected Map<String,String> clientCredentials

    - #### connectionPoolSize

          protected int connectionPoolSize

    - #### cancelPropagation

          protected boolean cancelPropagation

  - ### Constructor Detail

    - #### ManagedResourceConfig

          public ManagedResourceConfig()

  - ### Method Detail

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### getRealmKey

          public String getRealmKey()

    - #### setRealmKey

          public void setRealmKey(String realmKey)

    - #### getAuthUrl

          public String getAuthUrl()

    - #### setAuthUrl

          public void setAuthUrl(String authUrl)

    - #### getCodeUrl

          public String getCodeUrl()

    - #### setCodeUrl

          public void setCodeUrl(String codeUrl)

    - #### isAllowAnyHostname

          public boolean isAllowAnyHostname()

    - #### setAllowAnyHostname

          public void setAllowAnyHostname(boolean allowAnyHostname)

    - #### getTruststore

          public String getTruststore()

    - #### setTruststore

          public void setTruststore(String truststore)

    - #### getTruststorePassword

          public String getTruststorePassword()

    - #### setTruststorePassword

          public void setTruststorePassword(String truststorePassword)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientCredentials

          public Map<String,String> getClientCredentials()

    - #### getClientKeystore

          public String getClientKeystore()

    - #### setClientKeystore

          public void setClientKeystore(String clientKeystore)

    - #### getClientKeystorePassword

          public String getClientKeystorePassword()

    - #### setClientKeystorePassword

          public void setClientKeystorePassword(String clientKeystorePassword)

    - #### getClientKeyPassword

          public String getClientKeyPassword()

    - #### setClientKeyPassword

          public void setClientKeyPassword(String clientKeyPassword)

    - #### getConnectionPoolSize

          public int getConnectionPoolSize()

    - #### setConnectionPoolSize

          public void setConnectionPoolSize(int connectionPoolSize)

    - #### isCancelPropagation

          public boolean isCancelPropagation()

    - #### setCancelPropagation

          public void setCancelPropagation(boolean cancelPropagation)

    - #### getAdminRole

          public String getAdminRole()

    - #### setAdminRole

          public void setAdminRole(String adminRole)

Copyright © 2014. All Rights Reserved.